import java.util.*;
import java.util.zip.*;
import java.io.*;
import java.util.Enumeration;
import java.util.zip.ZipFile;
import java.util.zip.ZipEntry;

public class ZipGetMethod {
	public static void main(String[] args) {
		String file = "file.zip";
		try {
			ZipFile zipfile = new ZipFile(file);
			Enumeration e = zipfile.entries();
			while (e.hasMoreElements()) {
				ZipEntry zipentry = (ZipEntry) e.nextElement();
				String entryName = zipentry.getName();
				Date lastModify = new Date(zipentry.getTime());
				long uncomSize = zipentry.getSize();
				long comSize = zipentry.getCompressedSize();

				if ((zipentry.getMethod()) == ZipEntry.STORED) {
					System.out.println("The entry  Nmae " + entryName
							+ " was stored at " + lastModify);
					System.out.println("with a size of  " + uncomSize
							+ " bytes");
					System.out.println(" ");
				} else if ((zipentry.getMethod()) == ZipEntry.DEFLATED) {
					System.out.println("The entry  Nmae " + entryName
							+ " was deflated at " + lastModify);
					System.out.println("Uncompressed size of entry : "
							+ uncomSize + " bytes");
					System.out.println("Compressed size of entry : " + comSize
							+ " bytes");
					System.out.println(" ");
				} else {
					System.out.println("The entry  Nmae " + entryName
							+ " was compressed, but method name not specified "
							+ lastModify);
					System.out.println("Uncompressed size of entry : "
							+ uncomSize + " bytes");
					System.out.println("Compressed size of entry : " + comSize
							+ " bytes");
				}
			}
		} catch (IOException ex) {
			System.out.println("IOException is : " + ex);
		}

	}
}
